# Codeception Test Suite Configuration
#
# Suite for acceptance tests.
# Perform tests in browser using the WebDriver or PhpBrowser.
# If you need both WebDriver and PHPBrowser tests - create a separate suite.

actor: AcceptanceTester
modules:
    enabled:
        - WebDriver
        - Db
        - Asserts
    config:
        REST:
            url: 'http://localhost:8080'
            depends: PhpBrowser
            part: Json
        WebDriver:
            url: 'http://localhost:8080'
            browser: 'chrome'
            port: 9515
        Db:
            dsn: 'mysql:host=127.0.0.1;port=3306;dbname=twinkl_test'
            user: 'root'
            password: 'root'
            populate: true
            cleanup: true
            dump: '_twinkl_ide/docker/mysql/twinkl_test.sql'
            populator: 'mysql -u$user -p$password -h $host -P $port $dbname < $dump'
env:
    actions:
        modules:
            config:
                REST:
                    url: 'http://localhost:8080'
                WebDriver:
                    url: 'http://localhost:8080'
                    browser: 'chrome'
                    port: 9515
                    window_size: false
                    capabilities:
                        chromeOptions:
                            args: ['--headless', '--disable-gpu', '--no-sandbox', '--disable-impl-side-painting', 'window-size=1920x1080']